package net.mkonrad.synes.data.instruments;

import javax.vecmath.Point3f;

import net.mkonrad.synes.data.Beat;
import net.mkonrad.synes.data.Layer;
import net.mkonrad.synes.data.SynthInstrument;
import net.mkonrad.synes.data.SynthObj;
import net.mkonrad.synes.gui.elements.instruments.CylinderShape;
import net.mkonrad.synes.gui.elements.instruments.InstrumentShape;
import net.mkonrad.synes.gui.elements.instruments.PentagonShape;
import net.mkonrad.synes.gui.elements.instruments.TriangleShape;
import net.mkonrad.synes.gui.style.Colors;
import net.mkonrad.synes.util.Common3DTools;
import net.mkonrad.synes.util.DbgTools;
import net.mkonrad.synes.util.MusicTools;

public class Apad extends SynthInstrument
{
  public Apad()
  {
    super();
    _name = "synes_apad";
    _iconName = "apad.png";
    _texture = "circle.png";
    _color = Colors.red;
  }
  
  public InstrumentShape createInstrumentShape(SynthObj synthData, Point3f pos)
  {
    return new CylinderShape(synthData, pos);
  }
  
  protected float getYArg(SynthObj synth)
  {
    return MusicTools.getMidiFromYCoord(synth.getInstrumentShape().getAbsPos().y, 2, true);
  }
}
